/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.interfaces;


import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.io.Serializable;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public interface IArduinosensor extends VertxPojo, Serializable {

    /**
     * Setter for <code>public.arduinosensor.ardsenid</code>.
     */
    public IArduinosensor setArdsenid(Integer value);

    /**
     * Getter for <code>public.arduinosensor.ardsenid</code>.
     */
    public Integer getArdsenid();

    /**
     * Setter for <code>public.arduinosensor.fkardid</code>.
     */
    public IArduinosensor setFkardid(Integer value);

    /**
     * Getter for <code>public.arduinosensor.fkardid</code>.
     */
    public Integer getFkardid();

    /**
     * Setter for <code>public.arduinosensor.fksenid</code>.
     */
    public IArduinosensor setFksenid(Integer value);

    /**
     * Getter for <code>public.arduinosensor.fksenid</code>.
     */
    public Integer getFksenid();

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * Load data from another generated Record/POJO implementing the common interface IArduinosensor
     */
    public void from(com.tabajara.base.tables.interfaces.IArduinosensor from);

    /**
     * Copy data into another generated Record/POJO implementing the common interface IArduinosensor
     */
    public <E extends com.tabajara.base.tables.interfaces.IArduinosensor> E into(E into);

    @Override
    public default IArduinosensor fromJson(io.vertx.core.json.JsonObject json) {
        setArdsenid(json.getInteger("ardsenid"));
        setFkardid(json.getInteger("fkardid"));
        setFksenid(json.getInteger("fksenid"));
        return this;
    }


    @Override
    public default io.vertx.core.json.JsonObject toJson() {
        io.vertx.core.json.JsonObject json = new io.vertx.core.json.JsonObject();
        json.put("ardsenid",getArdsenid());
        json.put("fkardid",getFkardid());
        json.put("fksenid",getFksenid());
        return json;
    }

}
